# Module selenium-webdriver

code »

The main user facing module. Exports WebDriver's primary public API and provides convenience assessors to certain sub-modules.

## Classes

ActionSequence
  Class for defining sequences of complex user interactions.
Builder
  Creates new `WebDriver` instances.
Capabilities
  No Description.
Command
  Describes a command to be executed by the WebDriverJS framework.
EventEmitter
  Object that can emit events for others to listen for.
Session
  Contains information about a WebDriver session.
WebDriver
  Creates a new WebDriver client, which provides control over a browser.
WebElement
  Represents a DOM element.

## Enumerations

Browser
  Recognized browser names.
Button
  Enumeration of the buttons used in the advanced interactions API.
Capability
  Common webdriver capability keys.
CommandName
  Enumeration of predefined names command names that all command processors will support.
Key
  Representations of pressable keys that aren't text.

Show:PublicProtectedPrivate

## Properties

code » By : `webdriver.By`

A collection of factory functions for creating `webdriver.Locator` instances.

code » error : `selenium-webdriver/error`
code » logging : `webdriver.logging`
code » promise : `webdriver.promise`
code » stacktrace : `webdriver.stacktrace`